UF_MODL_add_thru_faces UF_MODL_ask_2dtrim_bsurf UF_MODL_ask_adjac_faces获取相邻面 UF_MODL_ask_alive_edge UF_MODL_ask_alive_face UF_MODL_ask_all_members_of_set UF_MODL_ask_angle_edge UF_MODL_ask_angle_tolerance UF_MODL_ask_ball_groove_parms UF_MODL_ask_ball_slot_parms UF_...
获取箭头指示的面的相邻面 源码: 1externDllExportvoidufsta(char*param,int*returnCode,intrlen)2{3UF_initialize();4tag_t tagFace=47466;5uf_list_p_t adjacent_faces;6UF_MODL_ask_adjac_faces(tagFace, &adjacent_faces);//获得相邻面7intlist_count =0;8UF_MODL_ask_list_count(adjacent_faces, &...
1#include <uf.h>2#include <uf_modl.h>3#include <uf_obj.h>456UF_initialize();789//获取面的所有边10uf_list_p_t edge_list;11UF_MODL_ask_face_edges(42084, &edge_list);1213//获取链表的数量14intcount;15UF_MODL_ask_list_count(edge_list, &count);1617for(inti =0; i < count; i...
//类型为内边界的时候40{41UF_MODL_ask_list_count(LoopChildList, &Num1);//查询链表数量4243for(intn =0; n < Num1; n++)44{45tag_t objTag =NULL_TAG;46UF_MODL_ask_list_item(LoopChildList, n, &objTag);//获取链表里的tag47edge.push_back(objTag);48}49}5051}5253sprintf_s(msg,"...
proto = UF_ASSEM_ask_prototype_of_occ(object); UF_MODL_ask_prom_feat_of_solid(proto, &feat)); UF_MODL_prom_map_object_up(proto, feat, &prom)); status = check_promotion(prom); } The selection callback is different. The objects passed to it are already adjusted for scope...
8. Edge Blend Modeling Feature Parameter: Radius Tolerance feature will reference faces defined by Radius parameter UF_GDT_MODL_PARAM_ALL: Use this enum type to create a GDT general type tolerance feature that references all the faces of the modeling feature. Currently, this is not en...
typedef enum UF_MODL_units_e UF_MODL_units_t; /* Type of curve projection UF_CURVE_create/ask/edit_combine_curves */ enum UF_CURVE_direction_e { UF_CURVE_ALONG_PLANAR_CURVE_NORMALS, UF_CURVE_ALONG_FIXED_VECTOR }; typedef enum UF_CURVE_direction_e UF_CURVE_direction_t; ...
typedef enum UF_MODL_units_e UF_MODL_units_t; /* Type of curve projection UF_CURVE_create/ask/edit_combine_curves */ enum UF_CURVE_direction_e { UF_CURVE_ALONG_PLANAR_CURVE_NORMALS, UF_CURVE_ALONG_FIXED_VECTOR }; typedef enum UF_CURVE_direction_e UF_CURVE_direction_t; ...
65//ask_edge_faces66uf_list_t *face_list=NULL;67uf_list_t *edge_list=NULL;68//CURVE_create_point69doublepoint[3]={0.0};70tag_t point_tag=NULL_TAG;71UF_UI_select_with_class_dialog (message,title,scope,init_proc,NULL,&response,&count,&objects);72if(response == UF_UI_OK && ...
54 char *Edge_Len[3] = { "100", "100", "100" };//设置长宽高 55 tag_t BlkTag = NULL_TAG; 56 UF_MODL_create_block1(Sign, Corner_pt, Edge_Len, &BlkTag); 57 58 //特征找面 59 uf_list_p_t faceList; 60 UF_MODL_ask_feat_faces(BlkTag, &faceList); ...